<?php

/**
 * 引入必要的css和js文件
 */
add_action( 'wp_enqueue_scripts', 'wphy_script_style' );
function wphy_script_style(){
    wp_enqueue_style( 'wphy', get_template_directory_uri() . '/css/wphy.css', array(), '1.0' ); 
    wp_enqueue_style( 'dark', get_template_directory_uri() . '/css/dark.css', array(), '1.0' ); 
    wp_enqueue_style( 'responsive',get_template_directory_uri() . '/css/responsive.css', array(), '1.0' );
    wp_enqueue_style( 'animate',get_template_directory_uri() . '/css/animate.css', array(), '1.0' );
    wp_enqueue_style( 'magnific-popup',get_template_directory_uri() . '/css/magnific-popup.css', array(), '1.0' );
    wp_enqueue_style( 'swiper',get_template_directory_uri() . '/css/swiper.css', array(), '1.0' );
    wp_enqueue_style( 'font-icons',get_template_directory_uri() . '/css/font-icons.css', array(), '1.0' );
}

function remove_dns_prefetch( $hints, $relation_type ) {
if ( 'dns-prefetch' === $relation_type ) {
return array_diff( wp_dependencies_unique_hosts(), $hints );
}
return $hints;
}
add_filter( 'wp_resource_hints', 'remove_dns_prefetch', 10, 2 );

//支持特色图
add_theme_support( 'post-thumbnails' );

/* 文章图片自动添加alt和title信息
/* -------------------------------- */
function tin_image_alt($content){
    global $post;
    $pattern = "/<img(.*?)src=('|\")(.*?).(bmp|gif|jpeg|jpg|png)('|\")(.*?)>/i";
    $replacement = '<img$1src=$2$3.$4$5 alt="'.$post->post_title.'" title="'.$post->post_title.'"$6>';
    $content = preg_replace($pattern,$replacement,$content);
    return $content;
}
add_filter('the_content','tin_image_alt',15);

/* 中文名图片上传改名
/* ------------------- */
function tin_custom_upload_name($file){
    if(preg_match('/[一-龥]/u',$file['name'])):
    $ext=ltrim(strrchr($file['name'],'.'),'.');
    $file['name']=preg_replace('#^www\.#', '', strtolower($_SERVER['SERVER_NAME'])).'_'.date('Y-m-d_H-i-s').'.'.$ext;
    endif;
    return $file;
}
add_filter('wp_handle_upload_prefilter','tin_custom_upload_name',5,1);

// 禁止后台加载谷歌字体
function wp_remove_open_sans_from_wp_core() {
    wp_deregister_style( 'open-sans' );
    wp_register_style( 'open-sans', false );
    wp_enqueue_style('open-sans','');
}
add_action( 'init', 'wp_remove_open_sans_from_wp_core' );

// 移除头部冗余代码
remove_action( 'wp_head', 'wp_generator' );// WP版本信息
remove_action( 'wp_head', 'rsd_link' );// 离线编辑器接口
remove_action( 'wp_head', 'wlwmanifest_link' );// 同上
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0 );// 上下文章的url
remove_action( 'wp_head', 'feed_links', 2 );// 文章和评论feed
remove_action( 'wp_head', 'feed_links_extra', 3 );// 去除评论feed
remove_action( 'wp_head', 'wp_shortlink_wp_head', 10, 0 );// 短链接


//Disable the emoji's
function disable_emojis() {
remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'wp_print_styles', 'print_emoji_styles' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );
remove_filter( 'the_content_feed', 'wp_staticize_emoji' );
remove_filter( 'comment_text_rss', 'wp_staticize_emoji' );
remove_filter( 'wp_mail', 'wp_staticize_emoji_for_email' );
add_filter( 'tiny_mce_plugins', 'disable_emojis_tinymce' );
}
add_action( 'init', 'disable_emojis' );

/**
* Filter function used to remove the tinymce emoji plugin.
*/
function disable_emojis_tinymce( $plugins ) {
if ( is_array( $plugins ) ) {
return array_diff( $plugins, array( 'wpemoji' ) );
} else {
return array();
}
}

//移除头部多余.recentcomments样式
function Fanly_remove_recentcomments_style() {
    global $wp_widget_factory;
    remove_action( 'wp_head', array( $wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style' ) );
}
add_action( 'widgets_init', 'Fanly_remove_recentcomments_style' );

// 后台预览
add_editor_style( '/css/editor-style.css' );
// 友情链接
add_filter( 'pre_option_link_manager_enabled', '__return_true' );

add_filter('show_admin_bar', '__return_false');
// 自定义菜单
register_nav_menus(
array(
'main-nav' => __( '主导航菜单' ),
)

);

if (function_exists('register_sidebar')){
register_sidebar( array(
'name'          => '侧边栏',
'id'            => 'sidebar-1',
'description'   => '侧边栏小工具',
'before_widget' => '<div id="%1$s" class="widget %2$s clearfix">',
'after_widget'  => '</div>',
'before_title'  => '<h4>',
'after_title'   => '</h4>',
) );
register_sidebar( array(
'name'          => '底部工具栏',
'id'            => 'sidebar-2',
'description'   => '底部工具栏区域，最多放四个小工具',
'before_widget' => '<div class="col_one_fourth"><div id="%1$s" class="widget %2$s clearfix">',
'after_widget'  => '</div></div>',
'before_title'  => '<h4>',
'after_title'   => '</h4>',
) );

}

function mytheme_comment($comment, $args, $depth) {
if ( 'div' === $args['style'] ) {
$tag       = 'div';
$add_below = 'comment';
} else {
$tag       = 'li';
$add_below = 'div-comment';
}
?>
<<?php echo $tag ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
<?php if ( 'div' != $args['style'] ) : ?>
<div id="div-comment-<?php comment_ID() ?>" class="comment-wrap clearfix">
<?php endif; ?>
<div class="comment-meta">
<div class="comment-author vcard">
<span class="comment-avatar clearfix">
<?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?></span>
</div>
</div>
<div class="comment-content clearfix">
<div class="comment-author"><?php printf( __( '<cite class="fn">%s</cite>' ), get_comment_author_link() ); ?><span><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ); ?>">
<?php
/* translators: 1: date, 2: time */
printf( __('%1$s at %2$s'), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)' ), '  ', '' );
?></span></div>
<?php comment_text(); ?>
<?php comment_reply_link( array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
</div>
<?php if ( $comment->comment_approved == '0' ) : ?>
<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.' ); ?></em>
<br />
<?php endif; ?>
<?php if ( 'div' != $args['style'] ) : ?>
</div>
<?php endif; ?>
<?php
}
function the_crumbs() {
if (!is_home()) {
echo '<nav class="breadcrumb">现在位置： ';
echo '<a title="返回首页" href="';
echo get_settings('home');
echo '">';
echo '首页';
echo "</a>";
}
if (is_category()) {
echo ' &gt; ';
echo get_category_parents( get_query_var('cat') , true , ' &gt; ' );
echo ' 文章列表 ';
}
if (is_single()) {
echo ' &gt; ';
echo the_category(' &gt; ', 'multiple');
echo ' &gt; ';
echo ' 正文 ';
}
if (is_page()) {
echo ' &gt; ';
echo the_title();
}
elseif (is_tag()) {echo ' &gt; ';single_tag_title();}
elseif (is_day()) {echo ' &gt; ';echo"发表于"; the_time('Y年m月d日'); echo'的文章';}
elseif (is_month()) {echo ' &gt; ';echo"发表于"; the_time('Y年m月'); echo'的文章';}
elseif (is_year()) {echo ' &gt; ';echo"发表于"; the_time('Y年'); echo'的文章';}
elseif (is_author()) {echo ' &gt; ';echo wp_title( ''); echo'发表的文章';}
elseif (is_search()) {echo ' &gt; ';echo"搜索结果"; echo'';}
echo '</nav>';
}
function disable_dashboard_widgets() {
    global $wp_meta_boxes;
    // wp..
    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_activity']);
    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_right_now']);
    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_comments']);
    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_incoming_links']);
    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']);
    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']);
    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']);
    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_quick_press']);
    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_recent_drafts']);
}
add_action('wp_dashboard_setup', 'disable_dashboard_widgets', 999);
?>